"use strict";

const Promise = require("bluebird");
const bhttp = require("bhttp");
const range = require("range").range;
const shuffleArray = require("shuffle-array");

// https://api.github.com/repos/nixos/nixpkgs/issues?per_page=100

Promise.map(range(0, 28), (i) => {
	return bhttp.get(`https://api.github.com/repos/nixos/nixpkgs/issues?per_page=100&page=${i}`);
}).reduce((all, response) => {
	return all.concat(response.body);
}, []).filter((item) => {
	return (item.pull_request == null);
}).then((results) => {
	shuffleArray(results);

	console.log(results.slice(0, 100).map((item) => {
		return item.html_url;
	}));
});